extends Node

# Global state for tracking score across scenes
var current_score = 0

func reset_score():
	current_score = 0

func set_score(score: int):
	current_score = score

func get_score() -> int:
	return current_score
